> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# [PF1] Find & Rank Prospects

> Searches for prospects matching a natural-language description via Fiber.ai combined NL search, then scores and ranks them against the seller's ICP using Perplexity.



## OpenAPI

````yaml /api-reference/v1/v1.1.0_openapi.json post /action/prospect_finder_find_and_rank_prospects
openapi: 3.0.0
info:
  version: 1.1.0
  title: AI Actions - Get Data
  description: API specifications for 'Get Data' category AI actions.
  license:
    name: MIT
servers:
  - url: https://api-lr.agent.ai/v1
security:
  - bearerAuth: []
paths:
  /action/prospect_finder_find_and_rank_prospects:
    post:
      tags:
        - Prospect Finder
      summary: '[PF1] Find & Rank Prospects'
      description: >-
        Searches for prospects matching a natural-language description via
        Fiber.ai combined NL search, then scores and ranks them against the
        seller's ICP using Perplexity.
      operationId: prospectFinderFindAndRankProspects
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                search_query:
                  type: string
                  x-ui: textarea
                  description: Natural-language description of target prospects.
                num_results:
                  type: string
                  description: 5-20 results (default 5).
                  default: '5'
                seller_product:
                  type: string
                  x-ui: textarea
                  description: Product/service description for ICP scoring.
                seller_icp:
                  type: string
                  x-ui: textarea
                  description: ICP for scoring and ranking.
                seller_website:
                  type: string
                exclusion_slugs:
                  type: string
                  description: Comma-separated LinkedIn slugs to exclude.
                output_variable_name:
                  type: string
                  default: prospect_finder_result
                  pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
              required:
                - search_query
                - output_variable_name
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
        '401':
          description: Unauthorized - invalid or missing bearer token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
components:
  schemas:
    ActionResponse:
      type: object
      properties:
        status:
          type: integer
          format: int32
          description: HTTP status code of the action response
        response:
          type: object
          description: Response data from the action
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token from your account
        ([https://agent.ai/user/integrations#api](https://agent.ai/user/integrations#api))

````